# DBT Daily Diary Card

[Mindlogger](https://mindlogger.org/) applet for Dialectical Behavioral Therapy daily diary card.

### Target behaviors questions for this set:
1. How intense were your urges for **suicide** today?
2. Did you have **negative thoughts** today?
3. Did you have a **panic attack** today?
4. How intense were your urges to **skip class** today?


## Image Attribution
Here are the images used in the applet, as well as the images used in the process of creating them. Images without source images to the left were created from scratch. 

| Applet Image                                                 | Image 1 | Image 2 | Image 3 | Image 4 |
|:------------------------------------------------------------:|:--------------:|:--------------:|:--------------:|:--------------:|
| <img src="images/svg/DBT.svg" width="200"><br>Applet Loadout | <img src="images/attribution/journal.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/journal-book_413841?term=journal&page=1&position=50) | <img src="images/attribution/cloudy.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/cloudy_334572?term=cloudy&page=5&position=38)  |  |  |
| <img src="images/svg/emotionDay.svg" width="200"><br>Emotions over the day | <img src="images/attribution/person.svg" width="100"><br>[source](https://www.flaticon.com/premium-icon/person_1916751?term=person&page=1&position=91) |  <img src="images/attribution/cloudy.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/cloudy_334572?term=cloudy&page=5&position=38)    |                |                |
| <img src="images/svg/happiness.svg" width="200"><br>Happiness |         |                |                |                |
| <img src="images/svg/sadness.svg" width="200"><br>Sadness | <img src="images/attribution/winterTree.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/tree_642021?term=winter%20tree&page=1&position=1) | <img src="images/attribution/autumnLeaves.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/leaves_616422?term=autumn%20leaf&page=1&position=22) |                |                |
| <img src="images/svg/anxietyFear.svg" width="200"><br>Anxiety/Fear |<img src="images/attribution/jenga.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/jenga_857269?term=jenga&page=1&position=9) | <img src="images/attribution/egg.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/egg_590794?term=egg&page=1&position=66) |                |                |
| <img src="images/svg/anger.svg" width="200"><br>Anger | <img src="images/attribution/pressure-gauge.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/pressure-gauge_2241209?term=pressure%20gauge&page=1&position=35) | <img src="images/attribution/steam-iron.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/steam-iron_1934893?term=steam%20iron&page=1&position=3) |                |                |
| <img src="images/svg/guiltShame.svg" width="200"><br>Shame/Guilt | <img src="images/attribution/cagedbird.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/bird-cage_1703143) | <img src="images/attribution/ballnchain.svg" width="100"><br>[source](https://www.flaticon.com/premium-icon/tax_2168796?term=ball%20and%20chain&page=1&position=22) |                |                |
| <img src="images/svg/targetBehaviorsDay.svg" width="200"><br>Target behaviors over the day | <img src="images/attribution/runner.svg" width="100"><br>[source](https://www.flaticon.com/premium-icon/runner-silhouette_46989?term=person%20running&page=1&position=12) | <img src="images/attribution/cloudy.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/cloudy_334572?term=cloudy&page=5&position=38)  |                |                |
| <img src="images/svg/mindfulness.svg" width="200"><br>Mindfulness Skills | <img src="images/attribution/brainBook.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/book_2490421?term=brain%20book&page=1&position=2) |                |                |                |
| <img src="images/svg/wisemind.svg" width="200"><br>Wise Mind |   <img src="images/attribution/think.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/think_1373027?term=think&page=1&position=50)   |                |                |                |
| <img src="images/svg/observe.svg" width="200"><br>Observe: Just notice without reacting | <img src="images/attribution/eye.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/eye_1616443?term=darius%20dan%20eye&page=1&position=27) |                |                |                |
| <img src="images/svg/describe.svg" width="200"><br>Describe: Put words on/label emotion | <img src="images/attribution/pen.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/pen_650649?term=pen&page=2&position=25) |                |                |                |
| <img src="images/svg/participate.svg" width="200"><br>Participate: Enter into the experience | <img src="images/attribution/exercise.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/exercise_2723513) |                |                |                |
| <img src="images/svg/nonjudgmental.svg" width="200"><br>Nonjudgmental Stance | <img src="images/attribution/thumbsUp.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/thumb-up_443354?term=thumbs%20up&page=4&position=5) |                |                |                |
| <img src="images/svg/moment.svg" width="200"><br>One-mindfully in the moment | <img src="images/attribution/clock.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/time_682048?term=clock&page=2&position=53) |                |                |                |
| <img src="images/svg/effectiveness.svg" width="200"><br>Effectiveness: Focus on what works |                |                |                |                |
| <img src="images/svg/interpersonalSkills.svg" width="200"><br>Interpersonal Effectiveness Skills | <img src="images/attribution/101-man-hair-4.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/man-hair_356172) | <img src="images/attribution/101-man-hair-44.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/man-hair_356216) |                |                |
| <img src="images/svg/DEARMAN.svg" width="200"><br>Objective Effectiveness (DEAR MAN) | <img src="images/attribution/talking.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/bald-professors-talking_43168?term=person%20talking&page=1&position=78) |                |                |                |
| <img src="images/svg/GIVE.svg" width="200"><br>Relationship Effectiveness (GIVE) | <img src="images/attribution/quill.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/quill_183337?term=quill&page=3&position=75) | <img src="images/attribution/charity.svg" width="100"><br>[source](https://www.flaticon.com/premium-icon/charity_2678882?term=charity&page=1&position=37) |                |                |
| <img src="images/svg/FAST.svg" width="200"><br>Self-respect Effectiveness (FAST) | <img src="images/attribution/tree.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/tree_490091?term=tree&page=1&position=10) | <img src="images/attribution/roots.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/tree_550199?term=tree%20branches&page=1&position=5) |                |                |
| <img src="images/svg/dialectics.svg" width="200"><br>Dialectics |                |                |                |                |
| <img src="images/svg/emotionRegulation.svg" width="200"><br>Emotion Regulation Skills | <img src="images/attribution/boat.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/boat_475498) | <img src="images/attribution/storm.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/storm_1146860?term=storm&page=1&position=4) |                |                |
| <img src="images/svg/PLEASE.svg" width="200"><br>Reduced Vulnerability (PLEASE) | <img src="images/attribution/apple.svg" width="100"><br>[source](https://www.flaticon.com/premium-icon/apple_378091?term=apple%20yellow&page=1&position=51) |                |                |                |
| <img src="images/svg/accumulatePositive.svg" width="200"><br>Accumulate Positive Experiences |                |                |                |                |
| <img src="images/svg/mastery.svg" width="200"><br>Build Mastery |  <img src="images/attribution/blackBelt.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/kimono_1866022?term=kimono&page=2&position=88) |                |                |                |
| <img src="images/svg/copeAhead.svg" width="200"><br>Cope Ahead |   <img src="images/attribution/telescope.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/telescope_1747946?term=telescope&page=4&position=31)  |                |                |                |
| <img src="images/svg/checkFacts.svg" width="200"><br>Check the Facts | <img src="images/attribution/research.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/research_1162914?term=research&page=1&position=60) |                |                |                |
| <img src="images/svg/problemSolve.svg" width="200"><br>Problem Solve |  <img src="images/attribution/jigsaw.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/jigsaw_993723?term=jigsaw&page=1&position=4)   |                |                |                |
| <img src="images/svg/oppositeAction.svg" width="200"><br>Opposite Action | <img src="images/attribution/magnet.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/physics_501399?term=magnet&page=1&position=58)   |                |                |                |
| <img src="images/svg/distressTolerance.svg" width="200"><br>Distress Tolerance Skills |  <img src="images/attribution/101-bald.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/bald_356122)  | <img src="images/attribution/bubbles.svg" width="100"><br>[source](https://www.flaticon.com/premium-icon/bubbles_2652736?term=water%20bubble&page=1&position=21) |                |                |
| <img src="images/svg/STOP.svg" width="200"><br>STOP |         |                |                |                |
| <img src="images/svg/distract.svg" width="200"><br>Distract (Wise Mind ACCEPTS) | <img src="images/attribution/dog.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/dog_616554?term=dog&page=1&position=68)  |                |                |                |
| <img src="images/svg/selfSoothe.svg" width="200"><br>Self-soothe | <img src="images/attribution/bathtub.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/tub_1802512?term=bath%20tub&page=1&position=1)  |                |                |                |
| <img src="images/svg/TIPP.svg" width="200"><br>TIPP | <img src="images/attribution/breathe.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/breath_1995895) |                |                |                |
| <img src="images/svg/IMPROVE.svg" width="200"><br>IMPROVE the Moment | <img src="images/attribution/walking.svg" width="100"><br>[source](https://www.flaticon.com/premium-icon/pedestrian_1993012?term=walking&page=1&position=16) | <img src="images/attribution/waterfall.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/waterfall_220188?term=waterfall&page=1&position=73)  |                |                |
| <img src="images/svg/proCons.svg" width="200"><br>Pros and Cons | <img src="images/attribution/runner.svg" width="100"><br>[source](https://www.flaticon.com/premium-icon/runner-silhouette_46989?term=person%20running&page=1&position=12) | <img src="images/attribution/cancel.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/prohibited_390956?term=cancel&page=1&position=23) |                |                |
| <img src="images/svg/radicalAcceptance.svg" width="200"><br>Radical Acceptance | <img src="images/attribution/leaf.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/leaf_424067?term=leaf&page=1&position=48) |  <img src="images/attribution/lollipop.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/lollipop_1837204?term=lollipop&page=1&position=17)  | <img src="images/attribution/flower.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/flower_678141?term=flower&page=1&position=78)  |                |
| <img src="images/svg/importantEvents.svg" width="200"><br>What important events happened today? |  <img src="images/attribution/eventCalendar.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/calendar_2413728) |  <img src="images/attribution/bubbles.svg" width="100"><br>[source](https://www.flaticon.com/premium-icon/bubbles_2652736?term=water%20bubble&page=1&position=21)  |                |                |
| <img src="images/svg/goal.svg" width="200"><br>What was your goal for today? | <img src="images/attribution/stickynote.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/notepad_650661?term=note&page=1&position=94) |                |                |                |
| <img src="images/svg/goalAchieve.svg" width="200"><br>Did you achieve this goal? | <img src="images/attribution/finishline.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/winner_2618025) |                |                |                |
| <img src="images/svg/goalObstacles.svg" width="200"><br>What got in the way? | <img src="images/attribution/questionMark.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/question_1828837?term=question%20mark&page=1&position=56) | <img src="images/attribution/finishline.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/winner_2618025)               |                |                |
| <img src="images/svg/behaviorUrges.svg" width="200"><br>Target behavior urges | <img src="images/attribution/goodbye.svg" width="100"><br>[source](https://www.flaticon.com/premium-icon/goodbye_2201741?term=goodbye&page=1&position=2) | <img src="images/attribution/mental-health.svg" width="100"><br>[source](https://www.flaticon.com/premium-icon/mental-health_2382631?term=head&page=1&position=94) | <img src="images/attribution/back.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/back_2309117) |                |
| <img src="images/svg/behaviorAct.svg" width="200"><br>Target behavior acted |  <img src="images/attribution/runner.svg" width="100"><br>[source](https://www.flaticon.com/premium-icon/runner-silhouette_46989?term=person%20running&page=1&position=12)   |                |                |                |
| <img src="images/svg/homework2.svg" width="200"><br>Did you complete your homework today? |  <img src="images/attribution/homework.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/homework_1675268?term=homework&page=1&position=69)   |                |                |                |
| <img src="images/svg/socialize.svg" width="200"><br>Did you socialize with others today? |  <img src="images/attribution/conversation.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/conversation_1141050)   |                |                |                |
| <img src="images/svg/conflict.svg" width="200"><br>Did you have conflict with others? |  <img src="images/attribution/conversation.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/conversation_1141050)   |                |                |                |
| <img src="images/svg/sleepTime.svg" width="200"><br>What time did you go to bed? |  <img src="images/attribution/sleep.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/sleeping_1830891?term=bed&page=1&position=58)   |   <img src="images/attribution/window.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/window_2554030?term=window%20night&page=1&position=4) |                |                |
| <img src="images/svg/wakeTime.svg" width="200"><br>What time did you wake up? |  <img src="images/attribution/sleep.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/sleeping_1830891?term=bed&page=1&position=58)  |  <img src="images/attribution/window.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/window_2554030?term=window%20night&page=1&position=4)  |                |                |
| <img src="images/svg/sleepDuration.svg" width="200"><br>How many hours did you sleep last night? |  <img src="images/attribution/future.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/future_690466?term=time&page=2&position=2)   |                |                |                |
| <img src="images/svg/showerDuration.svg" width="200"><br>How much time did you spend in the shower today? |  <img src="images/attribution/shower.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/shower_1839399)   |  <img src="images/attribution/future.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/future_690466?term=time&page=2&position=2)  |                |                |
| <img src="images/svg/selfValidation.svg" width="200"><br>Did you use self-validation today? |  <img src="images/attribution/charity.svg" width="100"><br>[source](https://www.flaticon.com/premium-icon/charity_2678882?term=charity&page=1&position=37)   |                |                |                |
| <img src="images/svg/emotionMind.svg" width="200"><br>Number of emotion mind decisions today |  <img src="images/attribution/think.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/think_1373027?term=think&page=1&position=50)   |                |                |                |
| <img src="images/svg/screenTime.svg" width="200"><br>How much screen time did you engage in today? |  <img src="images/attribution/ipad.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/ipad_644425?term=screen&page=2&position=2)   | <img src="images/attribution/iphone.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/iphone_644456)    | <img src="images/attribution/macbook-pro.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/macbook-pro_644460)  |  <img src="images/attribution/future.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/future_690466?term=time&page=2&position=2)  |
| <img src="images/svg/meal.svg" width="200"><br>Number of meals eaten today? |  <img src="images/attribution/meal.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/lunch-box_1205755?term=lunch&page=1&position=17)   |                |                |                |
| <img src="images/svg/skinPicking.svg" width="200"><br>Number of times you skin picked today? |  <img src="images/attribution/website.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/website_2826540?term=hand&page=2&position=20)   |                |                |                |
| <img src="images/svg/negative_thoughts.svg" width="200"><br>Negative thoughts |  <img src="images/attribution/think.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/think_1373027?term=think&page=1&position=50)   |                |                |                |
| <img src="images/svg/panic.svg" width="200"><br>Panic attack |  <img src="images/attribution/alarm.svg" width="100"><br>[source](https://www.flaticon.com/free-icon/alarm_3014246?term=alarm&page=1&position=15)   |                |                |                |
